<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseModelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseModel">
        <id column="id" property="id" />
        <result column="model_name" property="modelName" />
        <result column="model_type" property="modelType" />
        <result column="model_url" property="modelUrl" />
        <result column="model_position" property="modelPosition" />
        <result column="model_angle" property="modelAngle" />
        <result column="model_scale" property="modelScale" />
        <result column="model_drag_bool" property="modelDragBool" />
        <result column="floor" property="floor" />
        <result column="build_id" property="buildId" />
        <result column="company_id" property="companyId" />
        <result column="enable" property="enable" />
        <result column="device_code" property="deviceCode" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="update_person" property="updatePerson" />
        <result column="creator" property="creator" />
    </resultMap>

</mapper>
